#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    long long int p,q,r,x,y,br=0,n,i;
    scanf("%d%d%d%lld%lld",&p,&q,&r,&x,&y);
    for(n=x;n<=y;n++)
    {
        i=n;
        if(n%p>0)
        {
            i-=n/p+1;
        }
        else
        {
            i-=n/p;
        }
        if(n%q>0)
        {
            i-=n/q+1;
        }
        else
        {
            i-=n/q;
        }
        if(n%r>0)
        {
            i-=n/r+1;
        }
        else
        {
            i-=n/r;
        }
        if(i>=0)
            br++;
    }
    printf("%d",br);
}